const ora = require('ora');
const puppeteer = require('puppeteer');
const path = require('path');
const isPkg = typeof process.pkg !== 'undefined';
const chromiumExecutablePath = (isPkg ? puppeteer.executablePath().replace(/^.*?\/node_modules\/puppeteer\/\.local-chromium/, path.join(path.dirname(process.execPath), 'chromium')) : puppeteer.executablePath());

module.exports = async (input, output) => {
  
	const spinner = ora().start();

  try {
  	
		const browser = await puppeteer.launch({ headless: false, devtools: true, executablePath: chromiumExecutablePath });
		
		const page = await browser.newPage();

		await page._client.send('Page.setDownloadBehavior', {
		  behavior: 'allow', 
		  downloadPath: output
		});

		await page.goto(input);
		
		await page.evaluate( () => {

			var cxs = CanvasXpress.instances;
			for (var i = 0; i < cxs.length; i++) {
			 	var cx = cxs[i];
			 	var target = cx.target;
			 	debugger;
			 	cx.print(false, target + '.png');
			};
			
		});
		
		setTimeout(() => { 
			browser.close(); 
	    spinner.stop();
		}, 500);
		
  } catch (err) {

  	spinner.stop()

    console.error(err);
  	
  }
  
}
